# Verifica Cinema

## Testo della verifica

### Cinema multisala
Un cinema multisala desidera gestire la programmazione giornaliera dei film. Per ogni film si vogliono memorizzare almeno i seguenti campi:
- il titolo (String)
- la durata in minuti (int)
- la sala in cui viene proiettato (String)
- i posti disponibili (int)

Si richiede di implementare:
1. La classe Film con le variabili d'istanza sopra elencate e i metodi:
   - costruttore che inizializza tutti gli attributi
   - metodi get per tutti gli attributi
   - metodo set solo per i posti disponibili
2. La classe Cinema che gestisce un array di Film (massimo 10) con i seguenti metodi:
    - costruttori che inizializzano il nome del cinema e il numero massimo di film gestiti (di solito 10)
    - aggiungiFilm: aggiunge un film alla programmazione (non possono esistere due film nella stessa sala)
    - prenotaPosti: dato il titolo di un film e un numero di posti da prenotare, effettua la prenotazione se ci sono abbastanza posti disponibili. Restituisce l’esito
    - filmPiuLungo: restituisce il film con la durata maggiore
    - percentualeOccupazione: restituisce la percentale tra posti disponibili e posti totali di tutto il cinema
    - rimuoviFilm: dato un titolo, rimuove il film dalla programmazione
    - stampaProgrammazione: visualizza tutti i film in programmazione con i relativi dettagli

### Vincoli:
   - Non possono esistere due film nella stessa sala
   - Non si possono prenotare più posti di quelli disponibili
   - Una sala può contenere un solo film alla volta

### Il sistema deve permettee di:
   - Gestire l'aggiunta e la rimozione di film dalla programmazione
   - Gestire le prenotazioni dei posti
   - Visualizzare statistiche sui film e sui posti disponibili


