/*
* Classe che va a rappresentare un film
*
* @autor Ciausu Angelo
* @version 1.1.2
*/
public class Film {

    private String titolo;
    private int durata;
    private String sala;
    private int postiTotali;
    private int postiRimasti;

    public Film(String titolo, int durata, String sala, int posti) {
        this.titolo = titolo;
        this.durata = durata;
        this.sala = sala;
        this.postiTotali = posti;
        this.postiRimasti = posti;
    }

    public boolean vendiBiglietti(int numeroBiglietti) {
        if (numeroBiglietti <= postiRimasti) {
            postiRimasti = postiRimasti - numeroBiglietti;
            return true;
        }
        return false;
    }

    public boolean equals(Film f) {
        return this.titolo.equals(f.titolo);
    }

    public String toString() {
        return String.format("Titolo: %-50s Durata: %3d min Sala: %-10s Posti: %3d", titolo, durata, sala, postiRimasti);
    }

    public String getTitolo() {
        return titolo;
    }

    public int getDurata() {
        return durata;
    }

    public String getSala() {
        return sala;
    }

    public int getPostiRimasti() {
        return postiRimasti;
    }

    public int getPostiTotali() {
        return postiTotali;
    }

    public int getPostiDisponibili() {
        return postiRimasti;
    }
}
